> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get ancestors of a concept GET https://cdn.contentful.com/spaces/{space_id}/environments/{environment_id}/taxonomy/concepts/{taxonomy_cda_concept_id}/ancestors Returns the ancestors of a concept. By default, only direct parents are returned (depth=1). Reference: https://contentful.com/developers/docs/references/content-delivery-api/taxonomy/get-ancestors-of-a-concept ## Request ### Path parameters - `space_id` (string, required) — ID of the space - `environment_id` (string, required) — ID of the environment - `taxonomy_cda_concept_id` (string, required) — ID of the concept ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json {} ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift SDK currently doesn't implement this endpoint. ``` ```javascript JavaScript import { createClient } from 'contentful-management' const client = createClient({ space: '', environment: '', // defaults to 'master' if not set accessToken: '' }) client.getConceptAncestors('') .then((ancestors) => console.log(ancestors)) .catch(console.error) ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulClient(httpClient, "", "", ""); var ancestors = await client.GetTaxonomyConceptAncestors(""); ```